Groovy Documentation

## org.codehaus.groovy.syntax
[Java] Class RuntimeParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.syntax.RuntimeParserException

    public class RuntimeParserException
    extends GroovyRuntimeException

A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`RuntimeParserException(java.lang.String message, ASTNode node)`

Method Summary
`void` | `throwParserException()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### RuntimeParserException

    public RuntimeParserException(java.lang.String message, ASTNode node)

Method Detail

### throwParserException

    public void throwParserException()

Groovy Documentation